<!DOCTYPE HTML>
<html lang="es">
    <head th:replace="frags/head"></head>
    <body>
        <div th:replace="frags/header"></div>

        <!--//TODO: hacer el form de registro dependiendo si es kit, producto o tienda, recarga, ticket u otra cosa-->
        <section class="section-content bg border-top">
            <div class="container">
                <div class="row">
                    <div class="col-md-12">
                        <figure class="mt-3 banner p-3 bg-secondary front-page-banner">
                            <div class="text-lg text-center white">
                                <h3 th:text="#{register.endbuy}">Finalizar Compra</h3>
                            </div>
                        </figure>
                        <br/>
                    </div>

                    <div id="preloder" style="display: none;">
                        <div class="loader"></div>
                    </div>

                    <div class="col-md-8">
                        <a href="#" id="link-afiliate" th:text="#{register.afiliate}">Ya soy afiliado!</a>
                        <a href="#" id="link-new" style="display: none;" th:text="#{register.new}">Soy nuevo!</a>
                    </div>

                    <!--soy afiliado, si es upgrade solo deberia mostrarse este, si es kit que se jodan pero no deberia mostrarse-->
                    <div class="col-md-8" id="form-afiliate" style="display: none;">
                        <div class="card">
                            <article class="card-body">
                                <form id="form-afiliate-login" method="POST" enctype="multipart/form-data">
                                    <div class="form-group">
                                        <label th:text="#{register.user}">Usuario</label>
                                        <input name="username" type="text" class="form-control" th:placeholder="#{register.user.placeholder}" required="required">
                                    </div>

                                    <div class="form-group">
                                        <label th:text="#{register.password}">Contraseña</label>
                                        <input name="password" type="password" class="form-control" required="required">
                                    </div>

                                    <div class="alert alert-danger" id="login-message" style="display: none;"></div>

                                    <div class="form-group">
                                        <button id="member-login" class="btn btn-primary btn-block" th:text="#{register.end}"> Finalizar </button>
                                    </div>
                                </form>
                            </article>
                        </div>
                    </div>

                    <!--soy nuevo-->
                    <div class="col-md-8" id="form-new">
                        <div class="card">

                            <div class="alert alert-danger padding-20" th:if="${errors != null && errors.size() > 0}">
                                <ul>
                                    <li th:each="error : ${errors}" th:text="${error}"></li>
                                </ul>
                            </div>

                            <article class="card-body">

                                <form method="post" action="/register" th:object="${info}">

                                    <div class="form-group">
                                        <label th:text="#{register.sponsor}">Recomendado por</label>
                                        <input name="sponsor" type="text" class="form-control" th:placeholder="#{register.sponsor.placeholder}" required="required"  th:field="*{sponsor}"/>
                                    </div>

                                    <div class="form-group">
                                        <label th:text="#{register.name}">Nombre</label>
                                        <input name="firstName" type="text" class="form-control" th:placeholder="#{register.name}" required="required" th:field="*{firstName}">
                                    </div>

                                    <div class="form-group">
                                        <label th:text="#{register.lastname}">Apellido</label>
                                        <input name="lastName" type="text" class="form-control" th:placeholder="#{register.lastname}" required="required" th:field="*{lastName}"/>
                                    </div>

                                    <div class="form-group">
                                        <label th:text="#{register.email}">Dirección de correo electrónico</label>
                                        <input name="email" type="email" class="form-control" placeholder="Email" th:field="*{email}"/>
                                        <small class="form-text text-muted" th:text="#{register.email.warning}">Asegurese de introducir una dirección válida.</small>
                                    </div>

                                    <div class="form-group">
                                        <label th:text="#{register.phone}">Teléfono</label>
                                        <input name="phone" type="tel" class="form-control" th:field="*{phoneNumber}"/>
                                    </div>

                                    <!--//TODO: agregar tipo de acuerdo al pais-->
                                    <div class="form-row">
                                        <div class="form-group col-md-3">
                                            <label th:text="#{register.id}">Identificación personal</label>
                                            <select name="dniType" class="form-control" th:field="*{dniType}">
                                                <option th:each="option : ${dnis}" th:value="${option}" th:text="${option}"></option>
                                            </select>                       
                                        </div>
                                        <div class="form-group col-md-9">
                                            <label th:text="#{register.id.number}">Número de identificación personal</label>                                            
                                            <input class="form-control" type="text" name="dni" th:field="*{dni}"/>
                                        </div>
                                    </div>

                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label th:text="#{register.address}">Domicilio</label>
                                            <input name="billingAddress" type="text" class="form-control" placeholder="" th:field="*{billingAddress}"/>
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label th:text="#{register.city}">Ciudad</label>
                                            <input name="billingCity" type="text" class="form-control" placeholder="" th:field="*{billingCity}"/>
                                        </div>
                                    </div>

                                    <!--para peru añadir lo que mando servientrega-->                                    
                                    <div class="form-group">
                                        <label th:text="#{register.state}">Provincia/Estado</label>
                                        <input name="state" type="text" class="form-control" placeholder="" th:field="*{billingState}"/>
                                    </div>                                    

                                    <!--TODO:// si es otro, posibles paises, si no solo el del combo-->
                                    <div class="form-group" th:if="${others == null}">
                                        <label th:text="#{register.country}">País</label>
                                        <input name="country" type="text" class="form-control" th:value="#{*{billingCountry}}" disabled="disabled"/>
                                    </div>

                                    <div class="form-group" th:if="${others != null}">
                                        <label th:text="#{register.country}">País</label>
                                        <select class="form-control" th:field="*{billingCountry}"  name="country">
                                            <option value="" disabled="disabled" th:text="#{please_choose}"></option>
                                            <option th:each="country : ${others}" th:value="${country.code}" th:text="#{${country.code}}"></option>
                                        </select>
                                    </div>

                                    <div class="form-group" th:if="${others == null}"> 
                                        <div class="checkbox">
                                            <label>
                                                <input type="checkbox" th:field="*{differentShippingAddress}" id="shipping-inputs-check"/>
                                                <span class="label-check" th:text="#{register.shipping.add}">Usar un domicilio diferente al de facturación para el envío</span>
                                            </label>
                                        </div>
                                    </div>

                                    <div style="display: none;" id="shipping-inputs">
                                        <div class="form-group">
                                            <label th:text="#{register.shipping.name}">Nombre Destinatario</label>
                                            <input name="shippingName" type="text" class="form-control" placeholder="" th:field="*{shippingName}"/>
                                        </div>
                                        <div class="form-row">
                                            <div class="form-group col-md-6">
                                                <label th:text="#{register.address}">Domicilio</label>
                                                <input name="shippingAddress" type="text" class="form-control"  th:field="*{shippingAddress}" maxlength="200"/>
                                            </div>
                                            <div class="form-group col-md-6">
                                                <label th:text="#{register.city}">Ciudad</label>
                                                <input name="shippingCity" type="text" class="form-control" placeholder="" th:field="*{shippingCity}"/>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label th:text="#{register.state}">Provincia/Estado</label>
                                            <input name="shippingState" type="text" class="form-control" placeholder="" th:field="*{shippingState}"/>
                                        </div>
                                        <div class="form-group">
                                            <label th:text="#{register.postal}">Código postal</label>
                                            <input name="shippingPostalCode" type="text" class="form-control" placeholder="" th:field="*{shippingPostalCode}"/>
                                        </div>                                        
                                    </div>


                                    <div class="form-group"> 
                                        <div class="checkbox">
                                            <label>
                                                <input type="checkbox" id="terms-checked" required="required" name="terms-checked" th:field="*{termsChecked}"/>
                                                <span class="label-check" th:text="#{register.terms.read}">He leído y estoy de acuerdo con los.</span>
                                                <a class="label-check"
                                                   href="/terms"
                                                   target="_blank" th:text="#{register.terms}">términos y condiciones
                                                </a>
                                                <span class="label-check" th:text="#{register.and}" th:if="${!installment && category != 'product'}"></span>
                                                <span class="label-check" th:if="${installment && (category == 'kit' || category == 'store')}">, </span>
                                                <a class="label-check"
                                                   href="/affiliation/contract"
                                                   target="_blank" th:text="#{register.affiliate}" th:if="${category == 'kit' || category == 'store'}"> y el contrato de afiliación
                                                </a>
                                                <a class="label-check"
                                                   href="/installment"
                                                   target="_blank" th:text="#{register.installment}" th:if="${installment && (category == 'kit' || category == 'store') }">y las condiciones de compra por cuotas
                                                </a>
                                            </label>
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <button id="btn-submit" type="submit" class="btn btn-primary btn-block" disabled="disabled" th:text="#{register.end}"> Finalizar </button>
                                    </div>
                                </form>
                            </article>
                        </div>
                    </div>

                    <div class="col-md-4">
                        <figure class="card card-sm card-product">
                            <header class="card-header">
                                <h6 class="title" th:text="#{register.order}">Su pedido</h6>
                            </header>

                            <div th:if="${cart.items.size() >= 1}" th:with="sit=${cart.items.get(0)}">
                                <div class="img-wrap padding-20"> 
                                    <img th:src="${sit.image}" onerror="this.src='/images/no_logo.png'"/> 
                                </div>
                                <figcaption class="info-wrap">
                                    <h6 class="text-truncate text-muted">
                                        <ul th:each="s : ${cart.items}">
                                            <li href="#" th:text="${s.title}"></li>
                                        </ul>
                                    </h6>
                                </figcaption>
                            </div>

                            <div class="card-body">
                                <dl class="dlist-align">
                                    <dt th:text="#{cart.subtotal}">SubTotal: </dt>
                                    <dd class="text-right" th:text="${cart.subTotalString}"></dd>
                                </dl>
                                <dl class="dlist-align">
                                    <dt th:text="#{cart.shipping}">Envío:</dt>
                                    <dd class="text-right" th:text="${cart.shippingString}"></dd>
                                </dl>
                                <dl class="dlist-align h4">
                                    <dt th:text="#{cart.total}">Total:</dt>
                                    <dd class="text-right" th:text="${cart.totalString}"><strong></strong></dd>
                                </dl>                                
                            </div>

                        </figure>
                    </div>
                </div>
            </div>
        </section>

        <div th:replace="frags/footer"></div>
        <div th:replace="frags/scripts_index"></div>
        <script src="/js/register.js" type="text/javascript"></script>
    </body>
</html>